getBannedUser:
  post:
    tags:
      - appeals
    summary: get banned user
    description: Get a banned user by their discord id
    operationId: getBannedUser
    parameters:
      - name: discordId
        in: query
        required: true
        description: The discord id of the user
        schema:
          type: string
          pattern: "^[0-9]{17,18}$"
          minLength: 17
          maxLength: 18
    responses:
      '200':
        description: Banned user
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BannedUserResponse'
      default:
        description: Unexpected error
        content:
          application/json:
            schema:
              $ref: '../../generic/errors.yml#/components/schemas/ApiError'
components:
  schemas:
    BannedUserResponse:
      type: object
      required:
        - isBanned
      properties:
        isBanned:
          type: boolean
          description: Whether the user is banned
        bannedUser:
          $ref: '#/components/schemas/BannedUser'
    BannedUser:
      type: object
      required:
        - userId
        - reason
        - name
        - avatarUrl
      properties:
        userId:
          type: string
          pattern: "^[0-9]{17,18}$"
          minLength: 17
          maxLength: 18
        reason:
          type: string
        name:
          type: string
        avatarUrl:
          type: string
